Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRoland Grunberg2018-09-26 11:17:02 -0400
committerRoland Grunberg2018-09-26 17:09:49 -0400
commit57b4eb72b5afb38dec6a5ecfaa2572727cd01fbf (patch)
tree7f86f109497ac7fd6abb9faa08a7ff97441654cf
parent443719f9a0ff1b729161c1e765d285d1cfbf6aa2 (diff)
downloadorg.eclipse.linuxtools-57b4eb72b5afb38dec6a5ecfaa2572727cd01fbf.tar.gz
org.eclipse.linuxtools-57b4eb72b5afb38dec6a5ecfaa2572727cd01fbf.tar.xz
org.eclipse.linuxtools-57b4eb72b5afb38dec6a5ecfaa2572727cd01fbf.zip
Bug 539483 - Provide javax.xml.bind for TP and generated repository.
- Java 11 does not provide javax.xml.bind so we must manually provide the version from Orbit - In addition, we must have a hard requirement on javax.xml.bind (temporarily) because javax.xml.bind may get resoled from 'a.jre.javase 10' at install time and equinox will ignore it at runtime. Change-Id: I798de8656bec9ce7c3be892626a83005968d5d88 Reviewed-on: https://git.eclipse.org/r/130031 Tested-by: CI Bot Reviewed-by: Roland Grunberg <rgrunber@redhat.com> Reviewed-on: https://git.eclipse.org/r/130044
-rw-r--r--containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF3
-rw-r--r--releng/org.eclipse.linuxtools.docker-site/category.xml3
-rw-r--r--releng/org.eclipse.linuxtools.target/linuxtools-e4.8.target1
3 files changed, 6 insertions, 1 deletions
diff --git a/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF b/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF
index fce262568a..db65d368bd 100644
--- a/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF
+++ b/containers/org.eclipse.linuxtools.docker.core/META-INF/MANIFEST.MF
@@ -18,7 +18,8 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="3.12.0",
org.glassfish.jersey.media.jersey-media-json-jackson;bundle-version="2.14.0",
org.glassfish.jersey.core.jersey-common;bundle-version="2.14.0",
org.eclipse.tm.terminal.view.core;bundle-version="4.0.0",
- org.eclipse.debug.core;bundle-version="3.10.100"
+ org.eclipse.debug.core;bundle-version="3.10.100",
+ javax.xml.bind;bundle-version="2.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.linuxtools.docker.core,
diff --git a/releng/org.eclipse.linuxtools.docker-site/category.xml b/releng/org.eclipse.linuxtools.docker-site/category.xml
index 3fc14aa7ba..2e82b4b148 100644
--- a/releng/org.eclipse.linuxtools.docker-site/category.xml
+++ b/releng/org.eclipse.linuxtools.docker-site/category.xml
@@ -116,6 +116,9 @@
<iu id="javax.ws.rs" version="0.0.0">
<category name="Docker Client Dependencies"/>
</iu>
+ <iu id="javax.xml.bind" version="0.0.0">
+ <category name="Docker Client Dependencies"/>
+ </iu>
<iu id="com.github.jnr.jffi" version="0.0.0">
<category name="Docker Client Dependencies"/>
</iu>
diff --git a/releng/org.eclipse.linuxtools.target/linuxtools-e4.8.target b/releng/org.eclipse.linuxtools.target/linuxtools-e4.8.target
index 98df7879fe..2027d31b10 100644
--- a/releng/org.eclipse.linuxtools.target/linuxtools-e4.8.target
+++ b/releng/org.eclipse.linuxtools.target/linuxtools-e4.8.target
@@ -21,6 +21,7 @@
<unit id="com.spotify.docker.client.source" version="8.11.7.v20180731-1413"/>
<unit id="javassist" version="3.13.0.GA_v201209210905"/>
<unit id="javax.ws.rs" version="2.0.1.v201504171603"/>
+<unit id="javax.xml.bind" version="2.2.0.v201105210648"/>
<unit id="jnr.x86asm" version="1.0.2.v201505052040"/>
<unit id="org.aopalliance" version="1.0.0.v201105210816"/>
<unit id="org.apache.commons.codec" version="1.9.0.v20170208-1614"/>

Back to the top